Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.deployment.jboss
Class PortletAppDeployment

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.Deployment
          org.jboss.portal.portlet.deployment.jboss.PortletAppDeployment

Direct Known Subclasses:
  PortletAppDeployment

    public class PortletAppDeployment

extends Deployment

Version:
  $Revision: 10557 $
Author:
  Julien Viet

Field Summary
`protected java.util.Map` | `configurations` The existing configurations.
`protected PortletAppDeploymentFactory` | `factory` .
`protected JBossApplicationMetaData` | `jbossAppMD` .
`protected PortletApplicationContextImpl` | `portletApplicationContext` .
`protected org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData` | `portletAppMD` .

Fields inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`log, mbeanServer, pwa, url`

Constructor Summary
`PortletAppDeployment(java.net.URL url, PortalWebApp pwa, org.jboss.portal.portlet.container.managed.ManagedObjectRegistryEventListener listener, javax.management.MBeanServer mbeanServer, PortletAppDeploymentFactory factory)`

Method Summary
`protected JBossApplicationMetaData` | `buildJBossApplicationMetaData()`
`protected org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData` | `buildPortletApplicationMetaData()`
`void` | `create()`
`void` | `destroy()`
`java.lang.String` | `getAppId()`
`protected void` | `importTLD()` Import the portlet jsp tag TLD in the deployed application.
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.portal.server.deployment.jboss.Deployment
`findRepositoryClassLoader, findWEBINFURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configurations

    protected java.util.Map configurations

  The existing configurations.

### portletAppMD

    protected org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData portletAppMD

  .

### jbossAppMD

    protected JBossApplicationMetaData jbossAppMD

  .

### factory

    protected PortletAppDeploymentFactory factory

  .

### portletApplicationContext

    protected PortletApplicationContextImpl portletApplicationContext

  .

Constructor Detail

### PortletAppDeployment

    public PortletAppDeployment(java.net.URL url,
                                PortalWebApp pwa,
                                org.jboss.portal.portlet.container.managed.ManagedObjectRegistryEventListener listener,
                                javax.management.MBeanServer mbeanServer,
                                PortletAppDeploymentFactory factory)

Method Detail

### create

    public void create()
                throws org.jboss.deployment.DeploymentException

  Overrides:
    `create` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException`

### start

    public void start()
               throws org.jboss.deployment.DeploymentException

  Overrides:
    `start` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop()
              throws org.jboss.deployment.DeploymentException

  Overrides:
    `stop` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException`

### destroy

    public void destroy()
                 throws org.jboss.deployment.DeploymentException

  Overrides:
    `destroy` in class `Deployment`
  Throws:
    `org.jboss.deployment.DeploymentException`

### importTLD

    protected void importTLD()

  Import the portlet jsp tag TLD in the deployed application.

### buildPortletApplicationMetaData

    protected org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData buildPortletApplicationMetaData()
                                                                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### buildJBossApplicationMetaData

    protected JBossApplicationMetaData buildJBossApplicationMetaData()

### getAppId

    public java.lang.String getAppId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD